@Echo Off
If x%1==x Goto HelpMe
If %1==supercalifragilisticexpialidocious Goto Cleanup

Echo FCMOVETO - FastChat Moving Utility
Echo Copyright 1993 Peter Hebert
Echo.
Echo FastChat will be moved to %1.  If this not acceptable, please hit
Echo Ctrl-Break.  Otherwise...
Echo.
Pause
If Not %OS%==DRDOS Echo.

:Test
Md %1 > Nul
Rem > __fc__.ts_
Copy __fc__.ts_ %1 > Nul
If Not Exist %1\__fc__.ts_ Goto ParmErr
Del __fc__.ts_ > Nul
Del %1\__fc__.ts_ > Nul
Rem > %1__fc__.ts_
If Not Exist *.Ts_ Goto ParmErr
Del *.Ts_

:DoIt
For %%F in (fc_inst.exe install.doc fastchat.doc docutil.exe read102.c fcmoveto.bat) do Copy %%F %1 > Nul
For %%F in (fc_inst.exe install.doc fastchat.doc docutil.exe read102.c fcmoveto.bat) do If Not Exist %1\%%F Goto CopyErr
For %%F in (fc_inst.exe install.doc fastchat.doc docutil.exe read102.c) do Del %%F > Nul
%1\%0 supercalifragilisticexpialidocious %1

:CleanUp
Del FcMoveTo.Bat
Cd %2 > Nul
Echo FastChat successfully moved.
Goto Xit

:CopyErr
Echo Error copying files!  Bad pathname or insufficient disk space?
Echo.
Goto HelpMe

:ParmErr
If Exist *.Ts_ Del *.Ts_
If Exist %1*.Ts_ Del %1*.Ts_
Echo Parameter specification error!  Remember, no trailing backslash!
Echo.
Goto RealHlp

:HelpMe
Echo.
Echo FCMOVETO  FastChat Moving Utility
Echo.
:RealHlp
Echo Syntax:
Echo.
Echo            FCMOVETO (pathname)
Echo.
Echo Where:
Echo.
Echo            (pathname)       is the name of the path to move to
Echo.
Echo Notes:
Echo.
Echo            FcMoveTo is a simple batch file for moving an uninstalled copy
Echo            of FastChat to a different directory.  Because FastChat must be
Echo            installed from the directory that it will permanently reside in,
Echo            it must be moved it you de-archived it into a ramdisk or an
Echo            other directory.
Echo.
Echo            FcMoveTo performs this move.  The pathname given to FcMoveTo
Echo            should be fully qualified, WITHOUT a trailing backslash.  The
Echo            The directory will be made if it is not present.
Echo.
Pause
If Not %OS%==DRDOS Echo.
Echo Examples:
Echo.
Echo            FcMoveTo C:\Max\Fc
Echo.
Echo            Would move the FastChat installation bundle to the directory
Echo            C:\Max\Fc, making it if it is not present.
Echo.
Echo            FcMoveTo D:\Ra\FastChat
Echo.
Echo            Would move the FastChat installation bundle to C:\Ra\FastChat.
Echo.

:Xit

